define(['jquery'], function($) {
    $(function() {
        /* Task Engine Dispather */
        var dataSource, assignmentId, assignmentStatus, previewMode, platform, refId, taskEngine, version;
        console.log(window.mundo);

        var tmp;
        if (window.mundo) {
            taskEngine =  window.mundo && window.mundo.task && window.mundo.task.engine;
            version =  window.mundo && window.mundo.client.version && window.mundo.client.version;
            dataSource = window.mundo && window.mundo.task && window.mundo.task.dataSource;
            console.log(dataSource);
            assignmentId = window.mundo.task && window.mundo.task.status
                && window.mundo.task.status.assignment && window.mundo.task.status.assignment.id;
            tmp = window.mundo.task && window.mundo.task.status
                && window.mundo.task.status.assignment && window.mundo.task.status.assignment.status;
            assignmentStatus = tmp ? tmp : (window.mundo.task && window.mundo.task.assignmentStatus);
            previewMode = window.mundo.preview ? 1:0;
            platform = window.mundo.device && window.mundo.device.platform;
            refId = window.mundo.task && window.mundo.task.refId;
        } else {
            var params = {};
            var query = location.href.split("?");
            if(query.length > 1) {
                var buf = query[1].split("&");
                for (var i = 0; i < buf.length; i++) {
                    tmp = buf[i].split("=");
                    params[tmp[0]] = tmp[1];
                }
            }
            dataSource = params["data"];
            assignmentId = params["assignmentId"];
            assignmentStatus = params["assignmentStatus"];
            previewMode = params["preview"];
            platform = params["web"];
        }
        var engine;
        if (version && !(typeof version === 'number' && !isNaN(version) )) {
            version = version.split(".").join("");
            version = parseInt(version);
        }
        if (taskEngine && ((version <= 58 && platform == "android") || (version <= 241 && platform == "ios"))) {
            engine = "upgradeKayle.html"
        } else  if (dataSource.indexOf("warden") > -1) {
            engine = "warden/1.2/index.html#/task/" + dataSource
                + "?assignmentId=" + assignmentId
                + "&assignmentStatus=" + assignmentStatus
                + "&preview=" + previewMode
                + "&platform=" + platform;
        } else if (dataSource.indexOf("cigarette") > -1) {
            engine = "nielsen_cigarette/1.0/index.html?assignmentId=" + assignmentId
                + "&assignmentStatus=" + assignmentStatus
                + "&preview=" + previewMode
                + "&platform=" + platform
                + "&dataSource=" + dataSource;

        }
        else if (dataSource.indexOf("png") > -1) {
            engine = "png/2.7/index.html?assignmentId=" + assignmentId
                + "&assignmentStatus=" + assignmentStatus
                + "&preview=" + previewMode
                + "&platform=" + platform
                + "&dataSource=" + dataSource;

        } else { // default kayle engine
            engine = "default/1.5/index.html?data=" + dataSource
                + "&assignmentId=" + assignmentId
                + "&assignmentStatus=" + assignmentStatus
                + "&preview=" + previewMode
                + "&platform=" + platform
                + "&refId=" + refId;
        }

        console.log(engine);

        window.location.href = engine;
    });
});