define(['underscore', 'mundo/exec'], function(_, Exec) {

    console.info("Native Method [Scan Code] Load!");

    function Code($q) {
        var _q = $q;

        function scanCode (params) {
            var deferred = _q.defer();
            var defaultParams = {
                scanType: 2,
                loadFromAlbum: false
            };

            Exec(function(args) {
                    console.info("[WCS] Code.scanCode success!");
                    var code = args.code;
                    deferred.resolve(code);
                },
                function(args) {
                    deferred.reject(args);
                }, "Code", "scanCode", [defaultParams]);

            return deferred.promise;
        }

        return {
            scanCode: scanCode
        }
    }

    return Code;
});