define([], function() {
    console.info("TaskLoader Load!");

    function TaskLoader(deps) {
        var _q = deps.$q;
        var _http = deps.$http;

        function load(dataSource) {
            var defer = _q.defer();
            _http.get(dataSource)
                .success(function(data, status, headers, config) {
                    defer.resolve(data);
                })
                .error(function(data, status, headers, config) {
                    defer.reject("加载数据出错");
                });

            return defer.promise;
        }

        return {
            load: load
        }
    }

    return TaskLoader;
});