define(['core/directives'],
    function(directives) {
        console.info('radioDirective Load!');

        directives.directive('radio', [function() {
                return {
                    scope: {
                        fields: "=fields"
                    },
                    controller: function($scope) {
                        $scope.change = function(index) {
                            _.each($scope.fields, function(field, _index) {
                                field.checked = _index == index;
                            });
                        }
                    },
                    templateUrl: "views/radio.html"
                }
            }]);

    });
