define(window.bridgeDeps, function(angular, WxConfig, Bridge) {
    console.log("Warden Bridge Load!");

    var wdBridge = angular.module('wdBridge', []);

    wdBridge.run(['$location', '$http', '$q', '$rootScope', function($location, $http, $q, $rootScope) {

        if (window.appContext=="weixin") {
            var jsApiSignatureUrl = "http://wx.weichaishi.com/s/get_jsapi_signature",
                appId = "wx8e412aa9cbaf615e",
                url = $location.absUrl();
            var jsApiList = [
                'hideMenuItems',
                'getLocation',
                'chooseImage',
                'uploadImage',
                'scanQRCode'
            ];
            WxConfig(jsApiSignatureUrl, appId, url, jsApiList, $http, $q, Bridge).then(function(Bridge) {
                console.log("---------- wx config success ----------");
                console.log(Bridge);
                window.wdBridge = Bridge;
            }, function(error) {
                console.log(error);
            });
        } else {
            window.wdBridge = Bridge;
        }
    }]);

    return wdBridge;
});