var params = {};
var query = location.href.split("?");
if(query.length > 1) {
    var buf = query[1].split("&");
    for (var i = 0; i < buf.length; i++) {
        var tmp = buf[i].split("=");
        params[tmp[0]] = tmp[1];
    }
}
window.assignmentId = params['assignmentId'];
console.log("assignmentId: " + window.assignmentId);
var platform = params['platform'];

if (!platform) platform = 'android';

var libPaths = {
//    'underscore': 'http://static.weichaishi.com/underscore/1.7.0/underscore',
//    'angular': 'http://static.weichaishi.com/angular/1.3.15/angular',
//    'angular-route': 'http://static.weichaishi.com/angular/1.3.15/angular-route',
//    'angular-touch': 'http://static.weichaishi.com/angular/1.3.15/angular-touch',
//    'angular-sanitize': 'http://static.weichaishi.com/angular/1.3.15/angular-sanitize',
//    'angular-animate': 'http://static.weichaishi.com/angular/1.3.15/angular-animate'

    'underscore': '../../../../static/underscore/1.7.0/underscore',
    'angular': '../../../../static/angular/1.3.15/angular',
    'angular-route': '../../../../static/angular/1.3.15/angular-route',
    'angular-touch': '../../../../static/angular/1.3.15/angular-touch',
    'angular-sanitize': '../../../../static/angular/1.3.15/angular-sanitize',
    'angular-animate': '../../../../static/angular/1.3.15/angular-animate'
};

// console.log(window.mundo);
var myStyle;
if (isWeixin()) {
    /* Weixin JSSDK */
    window.appContext = "weixin";
    libPaths['wx'] = 'http://res.wx.qq.com/open/js/jweixin-1.0.0';
    window.bridgeDeps = ['angular', 'core/wx.config', 'wx'];
//    myStyle = ['css!../css/wx.min.css'];

    // todo: need call wcs api to create assignment, or do this in mp context.
    // http://api.weichaishi.com/2/tasks/applyForTask.json

} else {
    /* WCS Mundo */
    window.appContext = "wcs"; // 微差事Apps
    libPaths['mundo/exec'] = '../../../../static/mundo/1.0.0/mundo-' + platform;
    libPaths['mundo/event'] = '../../../../static/mundo/1.0.0/mundo-' + platform;
    window.bridgeDeps = ['angular', 'core/wx.config', 'mundo/exec', 'mundo/event'];
    libPaths['ios9-browser-patch'] = 'core/ios9-$browser-patch';
    // myStyle = ['css!../css/wcs.min.css'];
//    myStyle = ['css!../css/warden.min.css'];
}

/* for testing */
//platform = 'android';
//window.appContext = "wcs"; // 微差事Apps
//libPaths['mundo/exec'] = '../../../static/mundo/1.0.0/mundo-' + platform;
//libPaths['mundo/event'] = '../../../static/mundo/1.0.0/mundo-' + platform;
//window.bridgeDeps = ['angular', 'core/wx.config', 'mundo/exec', 'mundo/event'];
//myStyle = ['css!../css/warden.min.css'];

require.config({
    baseUrl: 'js',

    paths: libPaths,

//    map: {
//        '*': {
//            'css': '../../static/require-css/0.1.2/require-css.js'
//        }
//    },

    shim: {
        'underscore': {
            exports: '_'
        },
        'angular': {
//            deps: myStyle,
            exports: 'angular'
        },
        'angular-route': {
            deps: ['angular'],
            exports: 'angular-route'
        },
        'angular-touch': {
            deps: ['angular'],
            exports: 'angular-touch'
        },
        'angular-sanitize': {
            deps: ['angular'],
            exports: 'angular-sanitize'
        },
        'angular-animate': {
            deps: ['angular'],
            exports: 'angular-animate'
        },
        'ios9-browser-patch': {
            deps: ['angular'],
            exports: 'ios9-browser-patch'
        }
    }
});

/* Angular App Basic Dependencies */
var coreModules = ['angular', 'angular-route', 'angular-touch', 'angular-sanitize', 'angular-animate'];

/* Warden Core Modules */
coreModules = coreModules.concat(['warden', 'core/wd.services', 'core/wd.directives', 'ios9-browser-patch']);

require(coreModules, function(angular) {
    angular.bootstrap(window.document, ['wardenApp']);
});

function isWeixin() {
    var ua = window.navigator.userAgent.toLowerCase();
    return (ua.match(/MicroMessenger/i) == 'micromessenger');
}
