define([], function() {
    console.log("Native Method [Alert] Load!");

    function Alert($q, Bridge, message) {
        var deferred = $q.defer();
        if (window.appContext == 'weixin' || window.appContext == 'web') { // weixin
            alert(message);
            deferred.resolve("success");
        } else if (window.appContext == 'wcs') { // wcs
            var params = {
                message: message,
                title: "提示",
                buttonName: "确定"
            };
            Bridge(function(args) {
                deferred.resolve(args);
            }, function(args) {
                deferred.reject(args);
            }, "Dialogs", "alert", [params]);
        }
        return deferred.promise;
    }

    return Alert;
});