define([], function() {
    console.log("Native Method [Confirm] Load!");

    function Confirm($q, Bridge, message, title, btnYesText, btnNoText) {
        var deferred = $q.defer();
        if (window.appContext == 'weixin') { // weixin
            deferred.resolve(confirm(message));
        } else if (window.appContext == 'wcs') { // wcs
            var params = {
                message: message,
                title: title,
                buttonLabels: [btnYesText, btnNoText]
            };
            Bridge(function(args) {
                deferred.resolve(args.buttonIndex == 1);
            }, function(args) {
                deferred.reject(args);
            }, "Dialogs", "confirm", [params]);
        }
        return deferred.promise;
    }

    return Confirm;
});