define(['underscore', 'core/step'], function(_, Step) {
    console.log("Checkbox Load!");

    function Checkbox(step, seq) {
        Step.call(this, step, seq);
        this.origFields = this.fields;
        var fields = _.map(this.origFields, function(f, i) {
            return {
                index: i + 1,
                text: f
            };
        });
        this.fields = this.random ? _.shuffle(fields) : fields;
        this.answer = (window.warden && window.warden.answers[seq]) != undefined ? window.warden.answers[seq] : [];
    }
    Checkbox.prototype = new Step();
    Checkbox.prototype.constructor = Checkbox;

    Checkbox.prototype.checkAnswer = function() {
        if (this.allowEmpty && this.answer.length == 0) {
            return "";
        } else {
            if (!this.allowEmpty && this.answer.length == 0) {
                return "该题不允许为空";
            } else {
                // todo: 单选内嵌文本框校验
            }
        }
        return "";
    };

    return Checkbox;
});