define(['core/controllers'],
    function(controllers) {
        console.info('CheckShelfCtrl Load!');

        controllers.controller('CheckShelfCtrl', ['$scope', '$rootScope', '$window', '$dialog', '$state', '$ionicModal', '$ionicLoading', '$ionicPopup', '$ionicPopover', '$timeout', '$stateParams', '$contextUtils',
            function($scope, $rootScope, $window, $dialog, $state, $ionicModal, $ionicLoading, $ionicPopup, $ionicPopover, $timeout, $stateParams, $contextUtils) {
                $scope.category = $rootScope.taskDetail.category;
                $scope.title = "拍摄品类货架";

                //TODO 此类没用到
                $scope.takePhoto = function(index){
                    $state.go('takePhotoAndCheck', { seq: index });
                };

                $scope.deleteImage = function(index){
                    delete $window.answers[$window.currentSeq][index];
                    $scope.category[index].hasData = false;
                };

                function updateCategories() {
                    var index = 0;
                    _.each($scope.category, function() {
                        if ($window.answers[currentSeq] == undefined){
                            $window.answers[currentSeq] = {};
                        }
                        if ($window.answers[currentSeq][index]) {
                            $scope.category[index].hasData = true;
                        } else {
                            $scope.category[index].hasData = false;
                        }
                        index++;
                    });
                }

                updateCategories();


                $scope.next = function(){
                    if (!$scope.validate()  && !$window.debugger){
                        return;
                    }

                    if ($window.answers[$window.currentSeq]) {
                        $dialog.alert("数据不完整，您有" + result.length + "个分类未拍摄货架图片");
                    }
                    var currentSeq = $window.currentSeq;
                    var routerSize = $window.router.length;
                    if (currentSeq < (routerSize - 1)){
                        $window.currentSeq++;
                        var nextState = $window.router[$window.currentSeq];
                        $state.go(nextState);
                    }
                };

                $scope.prev = function(){
                    var currentSeq = $window.currentSeq;
                    if (currentSeq != 0){
                        $window.currentSeq--;
                        var prevState = $window.router[$window.currentSeq];
                        $state.go(prevState);
                    }
                };

                $scope.validate = function(){
                    var index = -1;
                    var result = _.filter($scope.category, function(item) {
                        index++;
                        return  $window.answers[currentSeq][index] == undefined;
                    });
                    if (result.length > 0){
                        $dialog.alert("数据不完整，您有" + result.length + "个分类未拍摄货架图片");
                        return false;
                    } else {
                        return true;
                    }
                };
        }]);

});
