define(['core/controllers'],
    function(controllers) {
        console.info('PhotoAndCheckCtrl Load!');

        controllers.controller('PhotoAndCheckBoxCtrl', ['$scope', '$rootScope', '$window', '$q', '$state', '$camera', '$dialog', '$stateParams', '$ionicModal',
            function($scope, $rootScope, $window, $q, $state, $camera, $dialog, $stateParams, $ionicModal) {
                $window.stateHistory.push({ state: $state.current, params: $stateParams });
                $scope.seq = $stateParams.fromSeq;
                //$scope.picInfo = $rootScope.taskDetail.picInfo['osd'];
                if ($window.answers[$window.currentSeq]){
                    var answer = $window.answers[$window.currentSeq];
                    $scope.isChecked = answer.flag == 0 ? false:true;
                    $scope.noCrosspieceChecked = answer.noCrosspieceFlag == 0 ? false:true;
                    $scope.XPPFlagChecked = answer.XPPFlag == 0 ? false:true;
                    $scope.photos =  $window.answers[answer.photoSeq]?$window.answers[answer.photoSeq]:[];
                    $scope.photoSeq = answer.photoSeq;
                    var total = $scope.photos.length + 1;
                    $scope.pageSize = total % 3 == 0 ? Math.floor(total / 3) : Math.floor(total / 3) + 1;
                    $scope.lastPageItemTotal = total % 3 == 0 ? 3 : total % 3;
                } else {
                    $scope.isChecked = true;
                    $scope.photos = [];
                    $scope.photoSeq = -1;
                    $scope.pageSize = 1;
                    $scope.lastPageItemTotal = 1;
                }

                if ((dataSource == 'png-cstcfmot-flagship' || dataSource == 'png-cstcfmot-v2-flagship') && currentSeq == 5) {
                    $scope.name = "玉兰油AB柜检查";
                    $scope.validateStr = "拍摄玉兰油AB柜";
                    $scope.description = "请拍摄玉兰油AB柜照片，如店内未找到请拍摄面部护理类专区的全景照片并取消下方“有玉兰油AB柜”的勾选";
                    $scope.picInfo = $rootScope.taskDetail.picInfo['abshelf'];
                } else if ((dataSource == 'png-cstcfmot-flagship' || dataSource == 'png-cstcfmot-v2-flagship') && currentSeq == 6) {
                    $scope.name = "潘婷洗护端架检查";
                    $scope.validateStr = "拍摄潘婷洗护端架";
                    $scope.description = "请拍摄潘婷洗护类的端架或堆头，如均没有找到，请拍摄洗护发类产品专区全景照片并取消下方“有潘婷洗护端架或堆头”的勾选";
                }  if ((dataSource == 'png-cstcfmot-v3-flagship') && currentSeq == 6) {
                    $scope.name = "玉兰油AB柜检查";
                    $scope.validateStr = "拍摄玉兰油AB柜";
                    $scope.description = "请拍摄玉兰油AB柜照片，如店内未找到请拍摄面部护理类专区的全景照片并取消下方“有玉兰油AB柜”的勾选";
                    $scope.showCheckBox = true;
                    $scope.picInfo = $rootScope.taskDetail.picInfo['abshelf'];
                } else if (( dataSource == 'png-cstcfmot-v3-flagship') && currentSeq == 7) {
                    $scope.name = "潘婷洗护端架检查";
                    $scope.validateStr = "拍摄潘婷洗护端架";
                    $scope.description = "请拍摄潘婷洗护类的端架或堆头，如均没有找到，请拍摄洗护发类产品专区全景照片并取消下方“有潘婷洗护端架或堆头”的勾选";
                    $scope.showCheckBox = true;
                }else if (((dataSource == 'png-bsfmot-flagship' || dataSource == 'png-bsfmot-v2-flagship') && currentSeq == 4) ||
                    (dataSource == 'png-bsfmot-blackpin' && currentSeq == 4)) {
                    $scope.name = "帮宝适货架检查";
                    $scope.validateStr = "拍摄帮宝适货架";
                    $scope.description = "请拍摄包含帮宝适品牌的货架照片，如未找到帮宝适品牌产品请拍摄儿童纸尿裤陈列货架的全景照片并取消下方“有帮宝适货架”的勾选";

                    if (dataSource == 'png-hsfmot-v2-flagship' || dataSource == 'png-cstcfmot-v2-flagship' || dataSource == 'png-bsfmot-v2-flagship' || dataSource == 'png-smfmot-v2-flagship'
                    ||dataSource == 'png-hsfmot-v3-flagship' || dataSource == 'png-cstcfmot-v3-flagship' || dataSource == 'png-bsfmot-v3-flagship' || dataSource == 'png-smfmot-v3-flagship') {
                        $scope.showCrossPiece = true;
                    }
                } else if ((dataSource == 'png-bsfmot-flagship' || dataSource == 'png-bsfmot-v2-flagship') && currentSeq == 5) {
                    $scope.name = "帮宝适端架或堆头检查";
                    $scope.validateStr = "拍摄帮宝适端架或堆头";
                    $scope.description = "请拍摄包含帮宝适品牌的端架或堆头照片，如均未找到帮宝适品牌产品，请拍摄儿童纸尿裤陈列区域的全景照片并取消下方“有帮宝适端架或堆头”的勾选";
                }else if ((dataSource == 'png-bsfmot-v3-flagship' && currentSeq == 5)) {
                    $scope.name = "帮宝适货架检查";
                    $scope.validateStr = "拍摄帮宝适货架";
                    $scope.description = "请拍摄包含帮宝适品牌的货架照片，如未找到帮宝适品牌产品请拍摄儿童纸尿裤陈列货架的全景照片并取消下方“有帮宝适货架”的勾选";
                    $scope.showCrossPiece = true;
                } else if (dataSource == 'png-bsfmot-v3-flagship' && currentSeq == 6) {
                    $scope.name = "帮宝适端架或堆头检查";
                    $scope.validateStr = "拍摄帮宝适端架或堆头";
                    $scope.description = "请拍摄包含帮宝适品牌的端架或堆头照片，如均未找到帮宝适品牌产品，请拍摄儿童纸尿裤陈列区域的全景照片并取消下方“有帮宝适端架或堆头”的勾选";
                    $scope.showCheckBox = true;
                } else if ((dataSource == 'png-hn-bsfmot-v3-flagship' && currentSeq == 5)) {
                    $scope.name = "帮宝适货架检查";
                    $scope.validateStr = "拍摄帮宝适货架";
                    $scope.description = "请拍摄包含帮宝适品牌的货架照片，如未找到帮宝适品牌产品请拍摄儿童纸尿裤陈列货架的全景照片并取消下方“有帮宝适货架”的勾选";
                    $scope.showCrossPiece = true;
                } else if (dataSource == 'png-hn-bsfmot-v3-flagship' && currentSeq == 6) {
                    $scope.name = "帮宝适端架或堆头检查";
                    $scope.validateStr = "拍摄帮宝适端架或堆头";
                    $scope.description = "请拍摄包含帮宝适品牌的端架或堆头照片，如均未找到帮宝适品牌产品，请拍摄儿童纸尿裤陈列区域的全景照片并取消下方“有帮宝适端架或堆头”的勾选";
                    $scope.showCheckBox = true;
                } else if (dataSource == 'png-bbs-rka' || dataSource == 'png-bbs-v2-rka'){
                    $scope.name = "帮宝适货架检查";
                    $scope.validateStr = "拍摄帮宝适货架";
                    $scope.description = "请拍摄包含帮宝适品牌的货架照片，如未找到帮宝适品牌产品请拍摄儿童纸尿裤陈列货架的全景照片并取消下方“有帮宝适货架”的勾选";
                }

                if (dataSource == 'png-bsfmot-v3-flagship' && currentSeq == 5) {
                    $scope.showXPPCheckBox= true;
                    $scope.showCheckBox = true;
                }

                if (dataSource == 'png-hn-bsfmot-v3-flagship' && currentSeq == 5) {
                    $scope.showXPPCheckBox= true;
                    $scope.showCheckBox = true;
                }

                if (dataSource == 'png-bbs-v2-rka' && currentSeq == 6) {
                    $scope.showCheckBox = true;
                }


                $scope.title = "<i class='icon ion-information-circled' style='color: #ef473a'></i>&nbsp;" +
                    $scope.name;
                $scope.chooseImage = function() {
                    var maxCount = 10 - $scope.photos.length;
                    if(maxCount == 0) {
                        $dialog.alert("最多选择10张照片");
                        return false;
                    }

                    $camera
                        .getPicture({ maxCount: maxCount, writeMetadata: false })
                        .then(function(images) {
                            _.each(images, function(image) {
                                image.checked = false;
                                if (image.imagePath.indexOf(".png") > 0 || image.imagePath.indexOf(".jpg") > 0) {
                                    image.thumbnail = image.imagePath
                                        .replace('.png','.thumbnail.png')
                                        .replace('.jpg','.thumbnail.jpg');
                                } else {
                                    image.thumbnail = image.imagePath + ".thumbnail";
                                }
                            });
                            $scope.photos = $scope.photos.concat(images);
                            var total = $scope.photos.length + 1;
                            $scope.pageSize = total % 3 == 0 ? Math.floor(total / 3) : Math.floor(total / 3) + 1;
                            $scope.lastPageItemTotal = total % 3 == 0 ? 3 : total % 3;
                        }, function(error) {
                            console.log(error);
                            // $dialog.alert(error);
                        });
                };

                $scope.toggleXPPFlag= function() {
                    if($scope.XPPFlagChecked){
                        $scope.XPPFlagChecked = false;
                    } else {
                        $scope.XPPFlagChecked = true;
                    }
                };

                $scope.toggleNoCrosspieceFlag= function() {
                    if($scope.noCrosspieceChecked){
                        $scope.noCrosspieceChecked = false;
                    } else {
                        $scope.noCrosspieceChecked = true;
                    }
                };

                $scope.deleteImage = function(index) {

                    var photos = _.filter($scope.photos, function(photo,seq) {
                        console.log(seq);
                        console.log(!(index == seq));
                        return !(index == seq);
                    });
                    $scope.photos = photos;
                    var total = $scope.photos.length + 1;
                    $scope.pageSize = total % 3 == 0 ? Math.floor(total / 3 ) : Math.floor(total / 3) + 1;
                    $scope.lastPageItemTotal = total % 3 == 0 ? 3 : total % 3;
                };

                $scope.clickImage = function(photoIndex) {
                    $scope.photos[photoIndex].checked = !$scope.photos[photoIndex].checked;
                };

                $scope.next = function() {
                    if ($scope.photos.length == 0  && !$window.debugger) {
                        $dialog.alert("请" + $scope.validateStr);
                        return false;
                    }
                    $scope.saveAnswer();
                    var currentSeq = $window.currentSeq;
                    var routerSize = $window.router.length;
                    if (currentSeq < (routerSize - 1)){
                        $window.currentSeq++;
                        var nextState = $window.router[$window.currentSeq];
                        $state.go(nextState);
                    }
                };

                $scope.toggleFlag = function(){
                    if($scope.isChecked){
                        $scope.isChecked = false;
                    } else {
                        $scope.isChecked = true;
                    }
                };

                $scope.saveAnswer = function(){
                    var photoSeq = $scope.photoSeq ==-1 ?  $window.getPhotoSeq($window.currentSeq):$scope.photoSeq;
                    /* 照片 */
                    if ($scope.photos.length > 0) {
                        if (_.indexOf($window.answers.photos, parseInt(photoSeq)) == -1){
                            $window.answers.photos.push(parseInt(photoSeq));
                        }
                        $window.answers[photoSeq] = $scope.photos;
                    }
                    var flag = $scope.isChecked ? 1 : 0;
                    var answer = {
                        photoSeq: photoSeq,
                        flag: flag,
                        noCrosspieceFlag:$scope.getNoCrosspieceFlag(),
                        XPPFlag:$scope.getXPPFlag()
                    }
                    $window.answers[$window.currentSeq] = answer;
                };

                $scope.getNoCrosspieceFlag = function(){
                    return $scope.noCrosspieceChecked ? 1:0;
                };

                $scope.prev = function() {
                    var currentSeq = $window.currentSeq;
                    if (currentSeq != 0){
                        $window.currentSeq--;
                        var prevState = $window.router[$window.currentSeq];
                        $state.go(prevState);
                    }
                };

                $scope.getXPPFlag= function(){
                    return $scope.XPPFlagChecked ? 1:0;
                };

                $ionicModal.fromTemplateUrl('views/pic.html', {
                    scope: $scope,
                    animate: 'slide-in-up'
                }).then(function(modal){
                    $scope.modal = modal;
                });

                $scope.openPicModal = function() {
                    $scope.modal.show();
                };
                $scope.closePicModal = function() {
                    $scope.modal.hide();
                };
                //Cleanup the modal when we're done with it!
                $scope.$on('$destroy', function() {
                    $scope.modal.remove();
                });

                //$scope.$watch('photos', function(newValue, oldValue) {
                //    $window.answers[$scope.seq] = newValue;
                //});

            }])
            .filter('range', function() {
                return function(input, total) {
                    total = parseInt(total);
                    for (var i=0; i<total; i++)
                        input.push(i);
                    return input;
                };
            });;

    });
