define(['core/controllers'],
    function(controllers) {
        console.info('PhotoAndNumberInputCtrl Load!');

        controllers.controller('PhotoAndNumberInputCtrl', ['$scope', '$rootScope', '$window', '$q', '$state', '$camera', '$dialog', '$stateParams', '$ionicModal',
            function($scope, $rootScope, $window, $q, $state, $camera, $dialog, $stateParams, $ionicModal) {
                $window.stateHistory.push({ state: $state.current, params: $stateParams });
                $scope.seq = $stateParams.fromSeq;
                //$scope.picInfo = $rootScope.taskDetail.picInfo['osd'];
                if ($window.answers[$window.currentSeq]){
                    var answer = $window.answers[$window.currentSeq];
                    $scope.photos =  $window.answers[answer.photoSeq]?$window.answers[answer.photoSeq]:[];
                    $scope.photoSeq = answer.photoSeq;
                    var total = $scope.photos.length + 1;
                    $scope.pageSize = total % 3 == 0 ? Math.floor(total / 3) : Math.floor(total / 3) + 1;
                    $scope.lastPageItemTotal = total % 3 == 0 ? 3 : total % 3;
                    $scope.value = answer.value;
                    $scope.value2 = answer.value2;
                } else {
                    $scope.photos = [];
                    $scope.photoSeq = -1;
                    $scope.pageSize = 1;
                    $scope.lastPageItemTotal = 1;
                }

                $scope.init = function(){
                    if ((dataSource == 'png-hs-rka' || dataSource == 'png-sm-rka2')&& currentSeq == 8){
                        $scope.name = "宝洁品牌洗衣粉检查";
                        $scope.description = "请拍摄从宝洁品牌洗衣粉（碧浪&汰渍）陈列货架到主通道的全景照片并输入宝洁品牌洗衣粉（碧浪&汰渍）距离主通道最近的第几个货架开始摆放";
                        $scope.inputNumberLabel = "第几个货架开始摆放";
                        $scope.inputNumberPlaceholder = 0;

                        $scope.picInfo = {
                            "title": "主通道的全景照片示例",
                            "pics": [
                                {
                                    "image": "img/fhc_shelf.png",
                                    "label": "主通道的全景照片"
                                }
                            ]
                        };
                    } else if ((dataSource == 'png-hs-rka' || dataSource == 'png-sm-rka2') && currentSeq == 9){
                        $scope.name = "吉列产品检查";
                        $scope.description = "拍摄一张所有收银台照片及一张或多张有吉列产品陈列的收银台特写照片";
                        $scope.inputNumberLabel = "摆放吉列产品收银台数";
                        $scope.inputNumberPlaceholder = 0;

                        $scope.inputNumberLabel2 = "店铺总收银台数量";
                        $scope.picInfo = {
                            "title": "吉列产品检查",
                            "pics": [
                                {
                                    "image": "img/cashier_desk.png",
                                    "label": "收银台全景"
                                }
                            ]
                        };
                    } else if (dataSource == 'png-hs-v2-rka' && currentSeq == 9){
                        $scope.name = "宝洁品牌洗衣粉检查";
                        $scope.description = "请拍摄从宝洁品牌洗衣粉（碧浪&汰渍）陈列货架到主通道的全景照片并输入宝洁品牌洗衣粉（碧浪&汰渍）距离主通道最近的第几个货架开始摆放";
                        $scope.inputNumberLabel = "第几个货架开始摆放";
                        $scope.inputNumberPlaceholder = 0;

                        $scope.picInfo = {
                            "title": "主通道的全景照片示例",
                            "pics": [
                                {
                                    "image": "img/fhc_shelf.png",
                                    "label": "主通道的全景照片"
                                }
                            ]
                        };
                    } else if ((dataSource == 'png-hs-v2-rka' || dataSource == 'png-sm-rka2') && currentSeq == 10){
                        $scope.name = "吉列产品检查";
                        $scope.description = "拍摄一张所有收银台照片及一张或多张有吉列产品陈列的收银台特写照片";
                        $scope.inputNumberLabel = "摆放吉列产品收银台数";
                        $scope.inputNumberPlaceholder = 0;

                        $scope.inputNumberLabel2 = "店铺总收银台数量";
                        $scope.picInfo = {
                            "title": "吉列产品检查",
                            "pics": [
                                {
                                    "image": "img/cashier_desk.png",
                                    "label": "收银台全景"
                                }
                            ]
                        };
                    } else if (dataSource == 'png-sm-rka' || dataSource == 'png-sm-v2-rka'){
                        $scope.name = "吉列产品检查";
                        $scope.description = "拍摄一张所有收银台照片及一张或多张有吉列产品陈列的收银台特写照片";
                        $scope.inputNumberLabel = "摆放吉列产品收银台数";
                        $scope.inputNumberPlaceholder = 0;

                        $scope.inputNumberLabel2 = "店铺总收银台数量";
                        $scope.picInfo = {
                            "title": "吉列产品检查",
                            "pics": [
                                {
                                    "image": "img/cashier_desk.png",
                                    "label": "收银台全景"
                                }
                            ]
                        };
                    }  else if (dataSource == 'png-bsfmot-blackpin'){
                        $scope.name = "帮宝适新生小码产品检查";
                        $scope.description = "请拍摄所有产品标识带有“NB”字样的帮宝适新生小码产品照片并填写品种数量，如无则拍摄儿童纸尿裤货架的全景照片";
                        $scope.inputNumberLabel = "新生小码规格种类数";
                        $scope.inputNumberPlaceholder = 0;
                        $scope.picInfo = $rootScope.taskDetail.picInfo['pampers-nb'];
                    }   else if (dataSource == 'png-hn-bsfmot-v3-flagship'){
                        $scope.name = "帮宝适新生小码产品检查";
                        $scope.description = "请拍摄所有产品标识带有“NB”字样的帮宝适新生小码产品照片并填写品种数量，如无则拍摄儿童纸尿裤货架的全景照片";
                        $scope.inputNumberLabel = "新生小码规格种类数";
                        $scope.inputNumberPlaceholder = 0;
                        $scope.picInfo = $rootScope.taskDetail.picInfo['pampers-nb'];
                    }
                };

                $scope.init();
                $scope.title = "<i class='icon ion-information-circled' style='color: #ef473a'></i>&nbsp;" +
                    $scope.name;
                $scope.chooseImage = function() {
                    var maxCount = 10 - $scope.photos.length;
                    if(maxCount == 0) {
                        $dialog.alert("最多选择10张照片");
                        return false;
                    }

                    $camera
                        .getPicture({ maxCount: maxCount, writeMetadata: false })
                        .then(function(images) {
                            _.each(images, function(image) {
                                image.checked = false;
                                if (image.imagePath.indexOf(".png") > 0 || image.imagePath.indexOf(".jpg") > 0) {
                                    image.thumbnail = image.imagePath
                                        .replace('.png','.thumbnail.png')
                                        .replace('.jpg','.thumbnail.jpg');
                                } else {
                                    image.thumbnail = image.imagePath + ".thumbnail";
                                }
                            });
                            $scope.photos = $scope.photos.concat(images);
                            var total = $scope.photos.length + 1;
                            $scope.pageSize = total % 3 == 0 ? Math.floor(total / 3) : Math.floor(total / 3) + 1;
                            $scope.lastPageItemTotal = total % 3 == 0 ? 3 : total % 3;
                        }, function(error) {
                            console.log(error);
                            // $dialog.alert(error);
                        });
                };

                $scope.deleteImage = function(index) {

                    var photos = _.filter($scope.photos, function(photo,seq) {
                        console.log(seq);
                        console.log(!(index == seq));
                        return !(index == seq);
                    });
                    $scope.photos = photos;
                    var total = $scope.photos.length + 1;
                    $scope.pageSize = total % 3 == 0 ? Math.floor(total / 3 ) : Math.floor(total / 3) + 1;
                    $scope.lastPageItemTotal = total % 3 == 0 ? 3 : total % 3;
                };

                $scope.clickImage = function(photoIndex) {
                    $scope.photos[photoIndex].checked = !$scope.photos[photoIndex].checked;
                };

                $scope.next = function() {
                    if (!$scope.validate()){
                        return false;
                    }

                    $scope.saveAnswer();
                    var currentSeq = $window.currentSeq;
                    var routerSize = $window.router.length;
                    if (currentSeq < (routerSize - 1)){
                        $window.currentSeq++;
                        var nextState = $window.router[$window.currentSeq];
                        console.log(nextState);
                        $state.go(nextState);
                    }
                };

                $scope.validate = function(){
                    var valid = true;
                    var errorMsg = '';
                    var value = $scope.value;

                    if ($window.debugger){
                        return valid;
                    }

                    if ($scope.photos.length == 0){
                        valid = false;
                        errorMsg = '请选择相片';
                    } else if (!_.isNumber(value) || _.isNaN(value)) {
                        errorMsg = '请输入数字';
                        valid = false;
                    }

                    if ((dataSource == 'png-hs-rka' || dataSource == 'png-sm-rka2') && currentSeq == 9){
                        if (value < 0) {
                            errorMsg = '不能小于0';
                            valid = false;
                        }
                    } else if (dataSource == 'png-sm-rka2' && currentSeq == 10){
                        if (value < 0) {
                            errorMsg = '不能小于0';
                            valid = false;
                        }
                    }  else if (dataSource == 'png-sm-rka'){
                        if (value < 0) {
                            errorMsg = '不能小于0';
                            valid = false;
                        }
                    }  else if (dataSource == 'png-hs-v2-rka') {
                        if (value < 0) {
                            errorMsg = '不能小于0';
                            valid = false;
                        }
                    } else if (dataSource == 'png-sm-v2-rka') {
                        if (value < 0) {
                            errorMsg = '不能小于0';
                            valid = false;
                        }
                    } else {
                        if (value <= 0) {
                            errorMsg = '不能小于0';
                            valid = false;
                        }
                    }

                    if ($scope.inputNumberLabel2){
                        var value2 = $scope.value2;
                        if (!_.isNumber(value2) || _.isNaN(value2)) {
                            errorMsg = '请输入数字';
                            valid = false;
                        } else if (value2 <= 0) {
                            errorMsg = '不能小于0';
                            valid = false;
                        } else if (value > value2) {
                            errorMsg = '总数过小';
                            valid = false;
                        }
                    }

                    if (!valid){
                        $dialog.alert(errorMsg);
                    }
                    return valid;
                };

                $scope.numberInputChangeListener = function(value){
                   $scope.value = value;
                }

                $scope.numberInputChangeListener2 = function(value2){
                    $scope.value2 = value2;
                }


                $scope.toggleFlag = function(){
                    if($scope.isChecked){
                        $scope.isChecked = false;
                    } else {
                        $scope.isChecked = true;
                    }
                };

                $scope.saveAnswer = function(){
                    var photoSeq = $scope.photoSeq==-1 ? $window.getPhotoSeq($window.currentSeq):$scope.photoSeq;
                    /* 照片 */
                    if ($scope.photos.length > 0) {
                        if (_.indexOf($window.answers.photos, parseInt(photoSeq)) == -1){
                            $window.answers.photos.push(parseInt(photoSeq));
                        }
                        $window.answers[photoSeq] = $scope.photos;
                    }
                    var answer = {
                        photoSeq: photoSeq,
                        value: $scope.value,
                        value2: $scope.value2
                    }
                    $window.answers[$window.currentSeq] = answer;
                };

                $scope.prev = function() {
                    var currentSeq = $window.currentSeq;
                    if (currentSeq != 0){
                        $window.currentSeq--;
                        var prevState = $window.router[$window.currentSeq];
                        $state.go(prevState);
                    }
                };

                $ionicModal.fromTemplateUrl('views/pic.html', {
                    scope: $scope,
                    animate: 'slide-in-up'
                }).then(function(modal){
                    $scope.modal = modal;
                });

                $scope.openPicModal = function() {
                    $scope.modal.show();
                };
                $scope.closePicModal = function() {
                    $scope.modal.hide();
                };
                //Cleanup the modal when we're done with it!
                $scope.$on('$destroy', function() {
                    $scope.modal.remove();
                });

                //$scope.$watch('photos', function(newValue, oldValue) {
                //    $window.answers[$scope.seq] = newValue;
                //});

            }])
            .filter('range', function() {
                return function(input, total) {
                    total = parseInt(total);
                    for (var i=0; i<total; i++)
                        input.push(i);
                    return input;
                };
            });;

    });
