define([], function() {
    console.log("Context Utils Load!");

    function ContextUtils() {
    }

    ContextUtils.prototype.getTaskDetail = function($q, $http, dataSource) {
        var deferred = $q.defer();
        var wdBridge = window.wdBridge;

        if (window.appContext == 'weixin') {
            // todo
        } else if (window.appContext == 'wcs') {
            /* Dev */
            // var TASKDATA_URI = "http://58.247.4.206/kayle-dev/taskdata/";

            /* Stage */
            // var TASKDATA_URI = "http://58.247.4.206/kayle-stage/taskdata/";

            /* Prd */
            var TASKDATA_URI = "http://kayle.weichaishi.com/taskdata/";

            var dataSourceUrl = TASKDATA_URI + dataSource + ".json";
            console.log("dataSource Url: " + dataSourceUrl);

            var params = {
                url: dataSourceUrl
            };
            wdBridge(function(args) {
                deferred.resolve(args);
            }, function(args) {
                deferred.reject(10003);
            }, "API", "get", [params]);
        } else {
            $http.get("../taskdata/" + dataSource + ".json").
                success(function(data, status, headers, config) {
                    deferred.resolve(data);
                }).
                error(function(data, status, headers, config) {
                    deferred.reject(10003);
                });
        }
        return deferred.promise;
    };

    ContextUtils.prototype.load = function($q) {
        var deferred = $q.defer();
        var wdBridge = window.wdBridge;
        if(window.appContext == 'weixin') {
            // todo
        } else if (window.appContext == 'wcs') {
            wdBridge(function(args) {
                console.log("-- Load answers ok --");
                console.log(args);
                deferred.resolve(args.answer);
            }, function(args) {
                deferred.reject(10002);
            }, "Context", "load", [{}]);
        }
        return deferred.promise;
    };

    ContextUtils.prototype.back = function() {
        var wdBridge = window.wdBridge;
        if (window.appContext == 'weixin') {
            // todo
        } else if (window.appContext == 'wcs') {
            wdBridge(function(args) {}, function(args) {}, "App", "back", [{}]);
        }
    };

    ContextUtils.prototype.save = function(answers) {
        var wdBridge = window.wdBridge;
        if(window.appContext == 'weixin') {
            // todo
        } else if (window.appContext == 'wcs') {
            wdBridge(function(args) {}, function(args) {}, "Context", "save", [{ answer: answers }]);
        }
    };

    ContextUtils.prototype.submit = function(steps, answers, alert, q) {
        console.log("-- [答案后处理 - 1] process sku audit answers! --");
        answers = this._processSkuAuditAnswers(steps, answers);
        console.log("-- [答案后处理 - 2] get Photos! --");
        answers['photos'] = this._getPhotos(steps, answers);
        // console.log("-- [答案后处理 - 3] clean angular cope obj attrs! --");
        // answers = this._cleanAngularScopeObjAttrs(answers);

        var wdBridge = window.wdBridge;
        if(window.appContext == 'weixin') {
            // todo
        } else if (window.appContext == 'wcs') {
            var valid = this._checkAnswer(answers, alert, q);
            console.log(valid);
            if (valid) {
                wdBridge(function(args) {}, function(args) {}, "Context", "submit", [{ answer: answers }]);
            }
        }
    };

    ContextUtils.prototype._checkAnswer  = function(answers, alert, q){
        if (window.dataSource == 'warden_oetker') {
            console.log(JSON.stringify(answers));
            console.log(answers["1"]);
            console.log(answers["2"]);
            console.log(answers["4"]);
            console.log(answers["5"]);
            console.log(answers["6"]);
            console.log(answers["7"]);

            if (!answers["1"] || !answers["2"] || !answers["4"] || !answers["5"] || !answers["6"] || !answers["7"]) {
                alert(q, window.wdBridge, "答案格式错误，请重新确认答案");
                return false;
            }

            var step2Value = answers["2"];
            var step4Value = answers["4"];
            var step5Value = answers["5"];
            var step6Value = answers["6"];

            if (step2Value.length == 0) {
                alert(q, window.wdBridge, "请确认第二题答案图片");
                return false;
            }

            if (step6Value.length == 0) {
                alert(q, window.wdBridge, "请确认第六题答案图片");
                return false;
            }

            console.log(step4Value["skuFlag"]);

            if (step4Value["skuFlag"] == 1 && answers[step4Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第四题答案图片");
                return false;
            }

            if (step5Value["skuFlag"] == 1 && answers[step5Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第五题答案图片");
                return false;
            }
        } else if (window.dataSource == 'warden_oetker_zj') {
            console.log(JSON.stringify(answers));
            console.log(answers["1"]);
            console.log(answers["2"]);
            console.log(answers["4"]);
            console.log(answers["5"]);
            console.log(answers["6"]);
            console.log(answers["7"]);
            console.log(answers["8"]);
            console.log(answers["9"]);
            console.log(answers["10"]);
            console.log(answers["11"]);
            console.log(answers["12"]);

            if (!answers["1"] || !answers["2"] || !answers["4"] || !answers["5"] || !answers["6"] || !answers["7"] || !answers["8"] || !answers["9"] || !answers["10"] || !answers["11"] || !answers["12"]) {
                alert(q, window.wdBridge, "答案格式错误，请重新确认答案");
                return false;
            }

            var step2Value = answers["2"];
            var step4Value = answers["4"];
            var step5Value = answers["5"];
            var step6Value = answers["6"];
            var step7Value = answers["7"];
            var step8Value = answers["8"];
            var step9Value = answers["9"];
            var step10Value = answers["10"];
            var step11Value = answers["11"];
            var step12Value = answers["12"];

            if (step2Value.length == 0) {
                alert(q, window.wdBridge, "请确认第二题答案图片");
                return false;
            }

            if (step12Value.length == 0) {
                alert(q, window.wdBridge, "请确认第十二题答案图片");
                return false;
            }

            if (step4Value["skuFlag"] == 1 && answers[step4Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第四题答案图片");
                return false;
            }

            if (step5Value["skuFlag"] == 1 && answers[step5Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第五题答案图片");
                return false;
            }

            if (step6Value["skuFlag"] == 1 && answers[step6Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第六题答案图片");
                return false;
            }

            if (step7Value["skuFlag"] == 1 && answers[step7Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第七题答案图片");
                return false;
            }

            if (step8Value["skuFlag"] == 1 && answers[step8Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第八题答案图片");
                return false;
            }

            if (step9Value["skuFlag"] == 1 && answers[step9Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第九题答案图片");
                return false;
            }

            if (step10Value["skuFlag"] == 1 && answers[step10Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第十题答案图片");
                return false;
            }

            if (step11Value["skuFlag"] == 1 && answers[step11Value["photo"]].length == 0) {
                alert(q, window.wdBridge, "请确认第十一题答案图片");
                return false;
            }
        }

        return true;
    }

    ContextUtils.prototype.abort = function(reason) {
        var wdBridge = window.wdBridge;
        if(window.appContext == 'weixin') {
            // todo
        } else if (window.appContext == 'wcs') {
            wdBridge(function(args) {}, function(args) {}, "Context", "abort", [{ reason: reason || "抱歉！您的回答不符合本差事的要求，点击确定后自动退出。" }]);
        }
    };

    ContextUtils.prototype._processSkuAuditAnswers = function(steps, answers) {
        var keys = _.keys(answers), seq;
        var _a = {};
        var _fakePhotoKey = 10000;
        _.each(keys, function(key) {
            if (key != 'photos' && key < 999) {
                if (_.indexOf(key, '-') > -1) {
                    seq = parseInt(key.split('-')[0]);
                } else {
                    seq = parseInt(key);
                }

                if (steps[seq-1].type === 'SkuAudit' && typeof answers[key].photo == 'object') {
                    _a[_fakePhotoKey] = answers[key].photo;
                    answers[key].photo = _fakePhotoKey;
                    _fakePhotoKey += 1;
                }
            }
        });
        _.extend(answers, _a);

        _.each(_.keys(answers), function(key) {
            if (key.indexOf('-') == -1 && parseInt(key) >= 10000) {
                console.log(answers[key]);
            }
        });

        return answers;
    };

    ContextUtils.prototype._getPhotos = function(steps, answers) {
        var photos = [];
        var keys = _.keys(answers), seq;
        _.each(keys, function(key) {
            if (key != 'photos' && key < 999) {
                if (_.indexOf(key, '-') > -1) {
                    seq = parseInt(key.split('-')[0]);
                } else {
                    seq = parseInt(key);
                }

                if (steps[seq-1].type == 'Photo') {
                    if (photos.indexOf(key) == -1) {
                        // todo: 2.2中必须改为
                        // photos.push(key);
                        photos.push(seq);
                    }
                }

                if (steps[seq-1].type == 'SkuAudit') {
                    if (photos.indexOf(answers[key].photo) == -1) {
                        photos.push(answers[key].photo);
                    }
                }
            }
        });
        return photos;
    };

    ContextUtils.prototype._cleanAngularScopeObjAttrs = function(answers) {
        var origAnswer, answer;
        for (var i=10000; i<11000; i++) {
            origAnswer = answers[i];
            if (origAnswer && origAnswer.length > 0) {
                answer = _.map(origAnswer, function(_origAnswer) {
                    return {
                        imagePath: _origAnswer.imagePath,
                        metadata: _origAnswer.metadata
                    };
                });

                answers[i] = answer;
            }
        }
    };

    return ContextUtils;
});