define(['type/radio', 'type/checkbox', 'type/input', 'type/description', 'type/location', 'type/photo', 'type/code', 'type/sku.audit'],
    function(Radio, Checkbox, Input, Description, Location, Photo, Code, SkuAudit) {
    console.log("Step Factory Load!");

    function StepFactory() {
    }

    StepFactory.prototype.create = function(step, seq) {

        switch (step.type) {
            case "Radio":
                return new Radio(step, seq);
                break;
            case "Checkbox":
                return new Checkbox(step, seq);
                break;
            case "Input":
                return new Input(step, seq);
                break;
            case "Description":
                return new Description(step, seq);

            case "Location":
                return new Location(step, seq);
                break;
            case "Photo":
                return new Photo(step, seq);
                break;
            case "Code":
                return new Code(step, seq);
                break;

            case "SkuAudit":
                return new SkuAudit(step, seq);
                break;

            /* more question types */
        }
    };

    return StepFactory;
});