define(['angular', 'core/step.factory', 'core/page.utils', 'core/context.utils'], function(angular, StepFactory, PageUtils, ContextUtils) {
    console.log("Warden Services Load!");

    var wdServices = angular.module('wdServices', ['wdBridge']);

    /* StepFactory */
    wdServices.factory('$stepFactory', [function() {
        return new StepFactory();
    }]);

    /* PageUtils */
    wdServices.factory('$pageUtils', [function() {
        return new PageUtils();
    }]);

    /* ContextUtils */
    wdServices.factory('$contextUtils', [function() {
        return new ContextUtils();
    }]);

    return wdServices;
});