define(['underscore'], function(_) {
    console.log("WxUpload Load!");

    return function($q, wx, localIds) {
        var deferred = $q.defer();
        var serverIds = [];
        _.each(localIds, function(localId) {
            wx.uploadImage({
                localId: localId,
                success: function (res) {
                    serverIds.push(res.serverId);
                    if (serverIds.length == localIds.length) {
                        deferred.resolve(serverIds);
                    }
                },
                fail: function(res) {
                    deferred.reject(res.errMsg);
                }
            });
        });
        return deferred.promise;
    }
});
