define(['underscore', 'core/step'], function(_, Step) {
    console.log("Input Load!");

    function Input(step, seq) {
        Step.call(this, step, seq);
        if (this.inputType) this.inputType = "text";
        if (this.pattern) {
            this.re = new RegExp(this.pattern);
        }
        this.answer = (window.warden && window.warden.answers[seq]) != undefined ? window.warden.answers[seq] : "";
    }

    Input.prototype = new Step();
    Input.prototype.constructor = Input;

    return Input;
});