define(['underscore', 'core/step'], function(_, Step) {
    console.log("Location Load!");

    function Location(step, seq) {
        Step.call(this, step, seq);
        this.answer = (window.warden && window.warden.answers[seq]) != undefined ? window.warden.answers[seq] : {};
    }

    Location.prototype = new Step();
    Location.prototype.constructor = Location;

    Location.prototype.checkAnswer = function() {
        if (this.allowEmpty && !this.answer.latitude) {
            return "";
        } else {
            if (!this.allowEmpty && !this.answer.latitude) {
                return "请先定位";
            }
        }
        return "";
    };

    return Location;
});