define(['underscore', 'core/step'], function(_, Step) {
    console.log("Radio Load!");

    function Radio(step, seq) {
        Step.call(this, step, seq);
        this.origFields = this.fields;
        var fields = _.map(this.origFields, function(f, i) {
            return {
                index: i + 1,
                text: f
            };
        });
        this.fields = this.random ? _.shuffle(fields) : fields;
        this.answer = window.warden && window.warden.answers[seq];
    }
    Radio.prototype = new Step();
    Radio.prototype.constructor = Radio;

    Radio.prototype.checkAnswer = function() {
        if (this.allowEmpty && !this.answer) {
            return "";
        } else {
            if (!this.allowEmpty && !this.answer) {
                return "该题不允许为空";
            } else {
                // todo: 单选内嵌文本框校验
            }
        }
        return "";
    };

    return Radio;
});